Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module
Class ModuleKeyboard

    java.lang.Object
      dioscuri.module.AbstractModule
          dioscuri.module.ModuleKeyboard

All Implemented Interfaces:
  Addressable, Module, Updateable

Direct Known Subclasses:
  Keyboard

    public abstract class ModuleKeyboard

extends AbstractModule
implements Addressable, Updateable

Abstract class representing a generic Keyboard module.

Nested Class Summary

Nested classes/interfaces inherited from interface dioscuri.interfaces.Module
`Module.Type`

Field Summary

Fields inherited from class dioscuri.module.AbstractModule
`type`

Constructor Summary
`ModuleKeyboard()`

Method Summary
`abstract void` | `enqueueControllerBuffer(byte data, int source)` Queue data in the keyboard controller buffer
`abstract void` | `generateScancode(java.awt.event.KeyEvent keyEvent, int eventType)` Method generateScancode Generates a scancode from a KeyEvent. The scancode depends on what scancode set is currently active, and whether the key is pressed or released
`abstract void` | `setTimeOut(byte status)`

Methods inherited from class dioscuri.module.AbstractModule
`getConnection, getConnections, getDebugMode, getDump, getExpectedConnections, getType, isConnected, reset, setConnection, setDebugMode, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface dioscuri.interfaces.Addressable
`getIOPortByte, getIOPortDoubleWord, getIOPortWord, setIOPortByte, setIOPortDoubleWord, setIOPortWord`

Methods inherited from interface dioscuri.interfaces.Updateable
`getUpdateInterval, setUpdateInterval, update`

Methods inherited from interface dioscuri.interfaces.Module
`getConnection, getConnections, getDebugMode, getDump, getExpectedConnections, getType, isConnected, reset, setConnection, setDebugMode, start, stop`

Constructor Detail

### ModuleKeyboard

    public ModuleKeyboard()

Method Detail

### generateScancode

    public abstract void generateScancode(java.awt.event.KeyEvent keyEvent,
                                          int eventType)

  Method generateScancode Generates a scancode from a KeyEvent.
  The scancode depends on what scancode set is currently active, and whether the key is pressed or released

  Parameters:
    `keyEvent` - the KeyEvent containing key-press information
    `eventType` - Type of KeyEvent, either pressed (0x00) or released (0x01)

### enqueueControllerBuffer

    public abstract void enqueueControllerBuffer(byte data,
                                                 int source)

  Queue data in the keyboard controller buffer

  Parameters:
    `data` -
    `source` -

### setTimeOut

    public abstract void setTimeOut(byte status)

  Parameters:
    `status` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD